var radioname = $('#playerwrapper').data("radioname");
var radiourl = $('#playerwrapper').data("radiourl");
var radioip = $('#playerwrapper').data("radioip");
var streammethod = $('#playerwrapper').data("streammethod");
var radiothumbnail = $('#playerwrapper').data("radiothumbnail");

var myControls = ['play-large', 'play',  'mute', 'volume', 'airplay', 'settings'];
if (window.chrome)
{
myControls[myControls.length] = 'googlecast';
}
const player = new Plyr('#playeraudio', {
  control: myControls,
  settings: [''],
  //speed: { selected: 1, options: [0.5, 0.75, 1, 1.25, 1.5, 1.75, 2] },
  disableContextMenu: true,
  loadSprite: false,
  iconUrl: '/plugins/wibxi/radioplayer/assets/css/plyr.svg',
  tooltips: {controls: false, seek: true}
});

player.source = {
    type: 'audio',
    title: radioname,
    sources: [
        {
            src: radiourl,
            type: 'audio/mp3',
        }
    ],
};

var artist,song,image;

console.log(radiourl);
function callArtist(){
	var xhttp = new XMLHttpRequest();
	xhttp.onreadystatechange = function() {
		if (this.readyState == 4 && this.status == 200) {
			jsonArtist = JSON.parse(this.responseText);
			if( jsonArtist.song){ song = jsonArtist.song;document.getElementById('song').innerHTML = song.charAt(0).toUpperCase() + song.slice(1);} else { song = "Programación variada";document.getElementById('song').innerHTML = song;}
			if(jsonArtist.artist){ artist = jsonArtist.artist;document.getElementById('artist').innerHTML = artist.charAt(0).toUpperCase() + artist.slice(1); } else { artist ="";document.getElementById('artist').innerHTML = artist;}
		  //if(jsonArtist.image){ image = jsonArtist.image;document.getElementById('image').style.backgroundImage = "url(" + image +")"; } else { image ="";document.getElementById('image').style.backgroundImage = "url(" + radiothumbnail +")";}
			if(jsonArtist.image){ image = jsonArtist.image;document.getElementById('image').src = image ; } else { image ="";document.getElementById('image').src = radiothumbnail;}
  	}
	};
	xhttp.open("GET", "https://wibxi.net/radioplayers/get_info.php?url="+ decodeURIComponent(radioip) + "&m=" + streammethod, true);
	xhttp.send();
	return
}
callArtist();
setInterval(callArtist, 10000);
